# Generated from rake_report-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rake_report

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Generate timing reports for rake tasks
License: MIT
URL: https://github.com/optimizely/rake_report
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.3.0
# BuildRequires: rubygem(rspec) < 3.4
# BuildRequires: rubygem(json-schema) >= 2.5.1
# BuildRequires: rubygem(json-schema) < 2.6
BuildArch: noarch

%description
Generate timing reports for rake tasks.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/img
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rake_report.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.0.1-1
- Initial package
